package com.sqx.modules.pay.service;

import com.sqx.common.utils.Result;
import com.sqx.modules.app.entity.UserEntity;
import com.sqx.modules.pay.entity.PayDetails;

import java.math.BigDecimal;


/**
 * @author fang
 * @date 2020/2/26
 */
public interface WxErrRiderService {

    Result payMoney(Long id, BigDecimal money, Integer type, Integer userType) throws Exception;

    Result payOrder(Long userId, String indentNumber, Integer type, Integer userType) throws Exception;

    Result wxPayJsApiRiderCertification(Long userId,Integer type, UserEntity userEntity, Integer userType) throws  Exception;

    Result riderCertification(Long userId, UserEntity userEntity, Integer userType);

    String payBack(String resXml,Integer type);;

    boolean wxRefund(PayDetails payDetails);

    Result wxPayCashDeposit(Long userId, Double money, Integer type, Integer userType) throws Exception;

}
